Subject: bug#59622: 29.0.50; [PATCH] Regression in Eshell's handling of escaped newlines

From: Jim Porter <[email-masked]>
Date: Wed, 7 Dec 2022 21:47:23 -0800

On 12/7/2022 10:10 AM, Eli Zaretskii wrote:
>> Date: Wed, 7 Dec 2022 09:57:59 -0800
>> Cc: [email-masked]
>> From: Jim Porter <[email-masked]>
>>
>> This worked properly in Emacs 28 and is broken in 29. I'm not 100% sure
>> which patch regressed it, but my guess is patch 0003 in bug#54227, which
>> was merged in March.
> 
> Then we must fix the regression on the emacs-29 branch.
> 
> Thanks.

Thanks, that sounds right to me too. I've merged this (just the first 
patch with the fix) to the emacs-29 branch as 
cf5ce14a6b442649426003fed8dc02ee7edca914.

I'll leave this open until I merge the small cleanup patch to master 
once my first patch has gotten there.